AWSTemplateFormatVersion: '2010-09-09'
Transform: AWS::Serverless-2016-10-31
Description: >
  ben-engage-local

Globals:
  Function:
    Timeout: 3
    MemorySize: 128

Resources:
  benSlackEngageFunction:
    Type: AWS::Serverless::Function 
    Properties:
      CodeUri: ben-slack-engage/
      Handler: app.lambdaHandler
      Runtime: nodejs16.x
      Architectures:
      - arm64
      Environment:
        Variables:
          SLACK_SIGNING_SECRET: 
          SLACK_BOT_TOKEN: 

      Events:
        BenSlackEngage:
          Type: Api
          Properties:
            Path: /slack/events
            Method: post
